Bug 20443 - cpp will truncate more than 65535 tokens.
cpp will truncate more than 65535 tokens.
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-06 17:50 EST by Red Hat Bugzilla
Modified: 2008-03-13 15:18 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-13 06:16:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Use int instead of short for token count. (505 bytes, patch)
2000-11-06 17:51 EST, Red Hat Bugzilla
no flags Details | Diff

  None (edit)
Description Red Hat Bugzilla 2000-11-06 17:50:47 EST
If you have more than 65535 tokens in one line, cpp will truncate them
without any messages. I will provide a patch.
Comment 1 Red Hat Bugzilla 2000-11-06 17:51:37 EST
Created attachment 5099 [details]
Use int instead of short for token count.
Comment 2 Red Hat Bugzilla 2000-11-13 06:16:25 EST
This is what I have already in my tree to fix another bugzilla entry.
gcc-2.96-64 will for sure have it.

Note You need to log in before you can comment on or make changes to this bug.